Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class DateUtils

    java.lang.Object
      org.apache.commons.lang.time.DateUtils
          org.mule.util.DateUtils

    public class DateUtils

extends DateUtils

`DateUtils` contains some useful methods dealing date/time conversion, formatting etc.

Field Summary

Fields inherited from class org.apache.commons.lang.time.DateUtils
`MILLIS_IN_DAY, MILLIS_IN_HOUR, MILLIS_IN_MINUTE, MILLIS_IN_SECOND, MILLIS_PER_DAY, MILLIS_PER_HOUR, MILLIS_PER_MINUTE, MILLIS_PER_SECOND, RANGE_MONTH_MONDAY, RANGE_MONTH_SUNDAY, RANGE_WEEK_CENTER, RANGE_WEEK_MONDAY, RANGE_WEEK_RELATIVE, RANGE_WEEK_SUNDAY, SEMI_MONTH, UTC_TIME_ZONE`

Constructor Summary
`DateUtils()`

Method Summary
`static String` | `formatTimeStamp(Date dateTime, String format)`
`static Date` | `getDateFromString(String date, String format)`
`static String` | `getFormattedDuration(long mills)`
`static String` | `getStringFromDate(Date date, String format)`
`static String` | `getTimeStamp(String format)`

Methods inherited from class org.apache.commons.lang.time.DateUtils
`add, addDays, addHours, addMilliseconds, addMinutes, addMonths, addSeconds, addWeeks, addYears, getFragmentInDays, getFragmentInDays, getFragmentInHours, getFragmentInHours, getFragmentInMilliseconds, getFragmentInMilliseconds, getFragmentInMinutes, getFragmentInMinutes, getFragmentInSeconds, getFragmentInSeconds, isSameDay, isSameDay, isSameInstant, isSameInstant, isSameLocalTime, iterator, iterator, iterator, parseDate, round, round, round, setDays, setHours, setMilliseconds, setMinutes, setMonths, setSeconds, setYears, truncate, truncate, truncate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateUtils

    public DateUtils()

Method Detail

### getTimeStamp

    public static String getTimeStamp(String format)

### formatTimeStamp

    public static String formatTimeStamp(Date dateTime,
                                         String format)

### getStringFromDate

    public static String getStringFromDate(Date date,
                                           String format)

### getDateFromString

    public static Date getDateFromString(String date,
                                         String format)

### getFormattedDuration

    public static String getFormattedDuration(long mills)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.